Page MenuHomePhabricator

Flipped range should have been enclosed.
Closed, ResolvedPublic

Description

Seeing a number of these.

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.09.27/parsoid?id=AWYbPokIz9bxnQJdFF-Z&_g=h@44136fa

eswiki JoJo's_Bizarre_Adventure 110884624

AssertionError: Flipped range should have been enclosed.
    at Console.assert (console.js:95:23)
    at findTopLevelNonOverlappingRanges (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/src/lib/wt2html/pp/processors/wrapTemplates.js:545:12)
    at wrapTemplatesInTree (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/src/lib/wt2html/pp/processors/wrapTemplates.js:1020:15)
    at Object.wrapTemplates [as proc] (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/src/lib/wt2html/pp/processors/wrapTemplates.js:1037:2)
    at DOMPostProcessor.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/src/lib/wt2html/DOMPostProcessor.js:605:17)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/prfun/lib/index.js:812:43)
    at /srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/prfun/lib/index.js:814:9
    at tryCatch2 (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/babybird/lib/promise.js:48:12)
    at PrFunPromise.Promise (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/babybird/lib/promise.js:458:15)
    at new PrFunPromise (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/prfun/lib/index.js:100:21)
    at DOMPostProcessor.doPostProcess (/srv/deployment/parsoid/deploy-cache/revs/f3ef0c8c3c75ad7693c6c22fd73ff2661ce37297/node_modules/prfun/lib/index.js:797:21)
    at emitOne (events.js:96:13)
    at TreeBuilder.emit (events.js:188:7)

@ssastry points it at,
https://gerrit.wikimedia.org/r/c/mediawiki/services/parsoid/+/446985

Event Timeline

Arlolra created this task.Sep 27 2018, 11:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2018, 11:37 PM
Arlolra triaged this task as Medium priority.Sep 27 2018, 11:37 PM

Change 463592 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Don't migrate template start markers past auto-inserted table ends

https://gerrit.wikimedia.org/r/463592

Change 463592 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Don't migrate template start markers past auto-inserted table ends

https://gerrit.wikimedia.org/r/463592

Arlolra closed this task as Resolved.Oct 1 2018, 10:41 PM